Just got iphone 5 and want to connect to Itunes on my home Mac which is running OX X 10.5.8. Do I have to upgrade to Snow Leopard to sync my iphone5

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • Best Answer:

    Yes you must upgrade to Snow Leopard first.

    Was this useful? Answer 1

    12 of 12 people found this useful

Related Questions